> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update memory

> Update an AI memory



## OpenAPI

````yaml https://api.getcargo.io/openapi.json put /ai/memories/{mem0Id}
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /ai/memories/{mem0Id}:
    put:
      tags:
        - AI - Memories
      summary: Update memory
      description: Update an AI memory
      parameters:
        - in: path
          name: mem0Id
          schema:
            type: string
            title: Memory ID
            description: Memory identifier from Mem0.
          required: true
          description: Memory identifier from Mem0.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              anyOf:
                - type: object
                  properties:
                    content:
                      type: string
                      title: Content
                      description: Memory content.
                    scope:
                      type: string
                      const: user
                      title: Scope
                      description: Memory scope.
                  required:
                    - content
                    - scope
                  additionalProperties: false
                - type: object
                  properties:
                    content:
                      type: string
                      title: Content
                      description: Memory content.
                    scope:
                      type: string
                      const: agent
                      title: Scope
                      description: Memory scope.
                    agentUuid:
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                      title: Agent UUID
                      description: Agent identifier for agent-scoped memories.
                  required:
                    - content
                    - scope
                    - agentUuid
                  additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties: {}
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````